<?php

include_once "../dbconection.php";
include_once "../funciones.php";
include_once "../errorhandler.php";

set_time_limit ( 30 ); 

//header('Content-Type: text/plain; charset=UTF-8');
//header('Content-Type: text/plain; charset=ISO-8859-1');

$method = $_REQUEST['method'];

if($method=="insertar"){ 
	$sJSON = "";	

	//$strEmailCliente = $_REQUEST['strEmailCliente'];
	//$strEmailCliente = "kropijac@gmail.com";
	$intCliente = $_REQUEST['intCliente'];
	
	if($intCliente!=""){
		$intUsuario = $_REQUEST['intUsuario'];
		$strMensaje = $_REQUEST['strMensaje'];
		
		$intTipo = $_REQUEST['intTipo'];
		if($intTipo==1){
			$datFechaLeidoAdmin = "CURRENT_TIMESTAMP";
			$datFechaLeidoUsuario = 'NULL';
		}else{
			$datFechaLeidoAdmin = 'NULL';
			$datFechaLeidoUsuario = "CURRENT_TIMESTAMP";
		}
		
		$sqlQuery = "INSERT INTO tblmensajes  (intCliente , intUsuario, strMensaje, datFechaLeidoAdmin, datFechaLeidoUsuario, datFechaAlta) 
		VALUES (". $intCliente .",". $intUsuario .",'". $strMensaje ."',". $datFechaLeidoAdmin .",". $datFechaLeidoUsuario .", CURRENT_TIMESTAMP)";
		//exit($sqlQuery);
		
		//mysql_query($sqlQuery);
		
		$sJSON = "";
		
		$sJSON = $sqlQuery;
		$queryResult = $mysqli->query($sqlQuery);
		
		if($queryResult){
			$sJSON .= "Comentario agregado con exito";
		}else{
			$sJSON .= "Error: Error al agregar el comentario";
		}

	}else{
		$sJSON="Error: El documento no puede ser nulo";
	}

	print($sJSON);

}else if($method=="abConsulta"){ 
	$sJSON = "";	

	$strIdConsulta = $_REQUEST['strIdConsulta'];

	$intCaso = intval($_REQUEST['intCaso']);
	$intCliente = $_REQUEST['intCliente'];
	$intUsuario = $_REQUEST['intUsuario'];
	
	if($intCliente!=""){
		$intIdAut = "";
        
        ////// 0-Registrada,1-signos vitales,2-seleccionada,3-iniciada, 4-cerrada
        
        if($intCaso===0){
		    $sqlQuery = "INSERT INTO tblconsultas (strIdConsulta, intCliente, intUsuInicio) VALUES ('". $strIdConsulta ."',". $intCliente .",". $intUsuario .")";
        
        }else if($intCaso===1){ //GUARDAR SIGNOS VITALES
    		$sqlQuery = "UPDATE tblconsultas SET intEstatus = 1, intUsuGuaSigVit = ". $intUsuario ." WHERE strIdConsulta='". $strIdConsulta ."' AND intCliente=". $intCliente ;
                
        }else if($intCaso===2){ //SELECCIONADA
    		$sqlQuery = "UPDATE tblconsultas SET intEstatus = 2, intUsuInicio = ". $intUsuario ." WHERE strIdConsulta='". $strIdConsulta ."' AND intCliente=". $intCliente ;
        
        }else if($intCaso===3){ //INICIADA
    		$sqlQuery = "UPDATE tblconsultas SET intEstatus = 3, intUsuGuaSigVit = ". $intUsuario ." WHERE strIdConsulta='". $strIdConsulta ."' AND intCliente=". $intCliente ;
        
        }else if($intCaso===4){ //TERMINAR CONSULTA
    		$sqlQuery = "UPDATE tblconsultas SET intEstatus = 4, intUsuTermino = ". $intUsuario ." WHERE strIdConsulta='". $strIdConsulta ."' AND intCliente=". $intCliente ;
            
        }
		//exit($sqlQuery);
			
		$sJSON = "";
		$queryResult = $mysqli->query($sqlQuery);
		
		if($queryResult){
			$sJSON .= '{"exito":"si","msg":""}';
		}else{
			$sJSON .= '{"exito":"no","msg":"'. $sqlQuery .'"}';
		}

	}else{
		$sJSON .= '{"exito":"no","msg":"El id de cliente no fue recibido"}';
	}

	print($sJSON);
	

}else if($method=="getConsultas"){
	$sJSON = '{"Items":[';

	$intCliente = $_REQUEST['intCliente'];
	
	if($intCliente!=""){	

		$sqlQuery = "SELECT  t1.* FROM tblconsultas t1 WHERE intCliente = ". $intCliente ." ";
		$sqlQuery .= " ORDER BY intIdAut DESC";			

		//exit($sqlQuery);
		$queryResult = $mysqli->query($sqlQuery);	
		$totalRows = $queryResult->num_rows;
				
		//$sJSON = '{"Expediente":[';

		if($totalRows>0){
	   		
			while ($row = mysqli_fetch_array($queryResult)) {
				
				$sJSON .= "{";
				$intIdAut = $row["intIdAut"];
				$strIdConsulta = $row["strIdConsulta"];
				$datFecha = $row["datFecha"];

				$sJSON .= '"intIdAut":"'. $intIdAut .'"';
				$sJSON .= ',"strIdConsulta":"'. $strIdConsulta .'"';
				$sJSON .= ',"datFecha":"'. $datFecha .'"';
				
				$sJSON .= "},";		
			}			
	
			$sJSON = substr($sJSON, 0, -1);

		}

		$sJSON .= "]}";
			
		print($sJSON);
		
	}else{
		print("El envio del id del cliente no puede ser nulo.");
	}

}else if($method=="getData"){
	$sJSON = "";

	$strIdConsulta = "";
	if( isset($_REQUEST['strIdConsulta']) ){ 
	    if( $_REQUEST['strIdConsulta']!=="" ){ 
		    $strIdConsulta = $_REQUEST['strIdConsulta'];
	    }
	}
	
	$intCliente = $_REQUEST['intCliente'];
	$strTabla = $_REQUEST['strTabla'];
	
	if($intCliente!=""){	

		$sqlQuery = "SELECT t1.* FROM ". $strTabla ." t1 WHERE t1.intCliente = ". $intCliente ." ";
		if($strIdConsulta!=""){
			$sqlQuery .= " AND t1.strIdConsulta='". $strIdConsulta ."'";
		}else{
			$sqlQuery .= " ORDER BY t1.intIdAut DESC limit 1";			
		}

		if(1==11){
		    exit($sqlQuery);
		}
		
		$queryResult = $mysqli->query($sqlQuery);	
		$totalRows = $queryResult->num_rows;
				
		$sJSON = '';

		if($totalRows>0){

	        $finfo = $queryResult->fetch_fields();
	   		
			$sJSON .= "{";

			while ($row = mysqli_fetch_array($queryResult)) {
				$i=0;
				foreach ($finfo as $val) {
	            	//printf("Name:      %s\n",   $val->name);
	            	
					$sJSON .= '"'. $val->name .'":"'. limpiar_caracteres_especiales( $row[$val->name] ) .'",';

					$i++;
	        	}
			}
			
			$sJSON = substr($sJSON, 0, -1);
			
			$sJSON .= "}";		

		}else{
    		$sJSON .= "{}";    
		}
		
		mysqli_free_result ( $queryResult );
			
		print($sJSON);
		
	}else{
		print("El envio del id del cliente no puede ser nulo.");
	}

}else if($method=="guardarHF"){ 
	$sJSON = "";	

	$strIdConsulta = $_REQUEST['strIdConsulta'];

	$intEmpresa = $_REQUEST['intEmpresa'];
	$intCliente = $_REQUEST['intCliente'];
	$intUsuario = $_REQUEST['intUsuario'];

	$strDiabetes = $_REQUEST['strDiabetes'];
	$strCardiopatias = $_REQUEST['strCardiopatias'];
	$strHipertensionArterial = $_REQUEST['strHipertensionArterial'];
	$strEnfermedadesTiroideas = $_REQUEST['strEnfermedadesTiroideas'];
	$strOtros = $_REQUEST['strOtros'];
	
	if($intCliente!=""){
		$intIdAut = "";

		//$sqlQuery = "SELECT intIdAut FROM tblheredofamiliares WHERE intCliente=". $intCliente;
		$sqlQuery = "SELECT intIdAut FROM tblheredofamiliares WHERE intCliente=". $intCliente ." AND strIdConsulta='". $strIdConsulta ."'";
		//exit($sqlQuery);
		$queryResult = $mysqli->query($sqlQuery);	
		$totalRows = $queryResult->num_rows;
		
		if($totalRows>0){
			$row = mysqli_fetch_array($queryResult);
			$intIdAut = $row['intIdAut'];
		}

		$queryResult->free();

		if($intIdAut!=""){ //UPDATE
			$sqlQuery = "UPDATE tblheredofamiliares SET intEmpresa=".$intEmpresa.", intUsuario=".$intUsuario."
			, strDiabetes='".$strDiabetes."'
			, strCardiopatias='".$strCardiopatias."'
			, strHipertensionArterial='".$strHipertensionArterial."'
			, strEnfermedadesTiroideas='".$strEnfermedadesTiroideas."'
			, strOtros='".$strOtros."'
			WHERE intIdAut = ".$intIdAut."";
		}else{
			$sqlQuery = "INSERT INTO tblheredofamiliares (strIdConsulta, intEmpresa, intCliente, intUsuario, strDiabetes, strCardiopatias, strHipertensionArterial, strEnfermedadesTiroideas, strOtros, datFecha) 
			VALUES ('". $strIdConsulta ."',". $intEmpresa .",". $intCliente .",". $intUsuario .",'". $strDiabetes ."','". $strCardiopatias ."','". $strHipertensionArterial ."','". $strEnfermedadesTiroideas ."','". $strOtros ."', CURRENT_TIMESTAMP)";
		}
		//exit($sqlQuery);
			
		$sJSON = "";
		$queryResult = $mysqli->query($sqlQuery);
		
		if($queryResult){
			$sJSON .= "Antecedentes heredofamiliares guardados con éxito";
		}else{
			$sJSON .= "Error: Error al guardar los antecedentes heredofamiliares";
		}

	}else{
		$sJSON="Error: Debe agregar todos los datos.";
	}

	print($sJSON);

}else if($method=="guardarP"){ 
	$sJSON = "";	

	$strIdConsulta = $_REQUEST['strIdConsulta'];

	$intEmpresa = $_REQUEST['intEmpresa'];
	$intCliente = $_REQUEST['intCliente'];
	$intUsuario = $_REQUEST['intUsuario'];

	$strHospitalizacion = ( $_REQUEST['strHospitalizacion'] );
	$strCirugias = ( $_REQUEST['strCirugias'] );
	$strDiabetes = ( $_REQUEST['strDiabetes'] );
	$strTiroideas = $_REQUEST['strTiroideas'];
	$strHipertension = $_REQUEST['strHipertension'];
	
	$strCardiopatias = $_REQUEST['strCardiopatias'];
	$strTraumatismos = $_REQUEST['strTraumatismos'];
	$strCancer = $_REQUEST['strCancer'];
	$strTuberculosis = $_REQUEST['strTuberculosis'];
	
	$strTransfusiones = ( $_REQUEST['strTransfusiones'] );


	if($intCliente!=""){
		$intIdAut = "";		

		$sqlQuery = "SELECT intIdAut FROM tblpatologicos WHERE intCliente=". $intCliente ." AND strIdConsulta='". $strIdConsulta ."'";
		//exit($sqlQuery);
		$queryResult = $mysqli->query($sqlQuery);	
		$totalRows = $queryResult->num_rows;
		
		if($totalRows>0){
			$row = mysqli_fetch_array($queryResult);
			$intIdAut = $row['intIdAut'];
		}

		$queryResult->free();

		if($intIdAut!=""){ //UPDATE
			$sqlQuery = "UPDATE tblpatologicos SET intEmpresa=".$intEmpresa.", intUsuario=".$intUsuario."
			, strHospitalizacion='".$strHospitalizacion."'
			, strCirugias='".$strCirugias."'
			, strDiabetes='".$strDiabetes."'
			, strTiroideas='".$strTiroideas."'
			, strHipertension='".$strHipertension."'
			, strCardiopatias='".$strCardiopatias."'
			, strTraumatismos='".$strTraumatismos."'
			, strCancer='".$strCancer."'
			, strTuberculosis='".$strTuberculosis."'
			, strTransfusiones='".$strTransfusiones."'
			WHERE intIdAut = ".$intIdAut."";
		}else{
			$sqlQuery = "INSERT INTO tblpatologicos (strIdConsulta, intEmpresa, intCliente, intUsuario, strHospitalizacion, strCirugias, strDiabetes, strTiroideas, strHipertension, strCardiopatias, strTraumatismos, strCancer, strTuberculosis, strTransfusiones, datFecha) 
			VALUES ('". $strIdConsulta ."',". $intEmpresa .",". $intCliente .",". $intUsuario .",'". $strHospitalizacion ."','". $strCirugias ."','". $strDiabetes ."','". $strTiroideas ."','". $strHipertension ."','". $strCardiopatias ."','". $strTraumatismos ."','". $strCancer ."','". $strTuberculosis ."','". $strTransfusiones ."', CURRENT_TIMESTAMP)";
		}
		//exit($sqlQuery);
			
		$sJSON = "";
		$queryResult = $mysqli->query($sqlQuery);
		
		if($queryResult){
			$sJSON .= "Antecedentes patológicos guardados con éxito";
		}else{
			$sJSON .= "Error: Error al guardar los antecedentes patológicos";
		}

	}else{
		$sJSON="Error: Debe agregar todos los datos.";
	}

	print($sJSON);

}else if($method=="guardarNP" || $method=="guardarGO" || $method=="guardarAler" || $method=="guardarNotasPad" || $method=="guardarExaFis" || $method=="guardarDiag"){ 
	$sJSON = "";	

	$strIdConsulta = $_REQUEST['strIdConsulta'];

	if($method=="guardarNP"){ 
		$strTabla = "tblnopatologicos";
		$strSeccion = "No patológicos";

	}else if($method=="guardarGO"){ 
		$strTabla = "tblginecoobstetricos";
		$strSeccion = "Gineco Obstréticos";

	}else if($method=="guardarAler"){ 
		$strTabla = "tblalergicos";
		$strSeccion = "Alergicos";
	
	}else if($method=="guardarNotasPad"){ 
		$strTabla = "tblnotas";
		$strSeccion = "Notas de padecimiento";

	}else if($method=="guardarExaFis"){ 
		$strTabla = "tblexamenfisico";
		$strSeccion = "Examen físico";
	
	}else if($method=="guardarDiag"){ 
		$strTabla = "tbldiagnosticoytratamiento";
		$strSeccion = "Diagnóstico y tratamiento";
	}

	$intEmpresa = $_REQUEST['intEmpresa'];
	$intCliente = $_REQUEST['intCliente'];
	$intUsuario = $_REQUEST['intUsuario'];

	//print_r($_POST);
	//exit("<hr/>");
	/*
	Array
	(
	    [txtActividadFisica] => Ning%C3%BAna
	    [txtTabaquismo] => Otr%C3%B3
	    [txtAlcoholismo] => Nada
	    [txtDrogas] => 
	    [txtVacuna] => 
	    [txtOtros] => 
	)
	*/

	$strDatosUpdate = "";

	$strDatosInsertCampos = "";
	$strDatosInsertValores = "";

	if($intCliente!=""){
		$intIdAut = "";

		$sqlQuery = "SELECT intIdAut FROM ". $strTabla ." WHERE intCliente=". $intCliente ." AND strIdConsulta='". $strIdConsulta ."'";
		//exit($sqlQuery);
		$queryResult = $mysqli->query($sqlQuery);	
		$totalRows = $queryResult->num_rows;
		
		if($totalRows>0){
			$row = mysqli_fetch_array($queryResult);
			$intIdAut = $row['intIdAut'];
		}

		$queryResult->free();

		if($intIdAut!=""){ //UPDATE

			while(list($key,$value)= each($_POST)) {

				$pos = strpos($key, "txt");
				if($pos!==false){ // est txt = string
					$keyRenombrada = str_replace("txt", "str", $key);
					$strDatosUpdate .= $keyRenombrada ."='". $value ."',"; 
				}else{
					$keyRenombrada = str_replace("int", "int", $key);
					$strDatosUpdate .= $keyRenombrada ."=". $value .","; 
				}

		    }

		    if($strDatosUpdate!==""){
		    	$strDatosUpdate = substr($strDatosUpdate, 0, -1);
		    }

			$sqlQuery = "UPDATE ". $strTabla ." SET intUsuario=".$intUsuario .",";
			$sqlQuery .= $strDatosUpdate ." ";
			$sqlQuery .= " WHERE intIdAut = ".$intIdAut;

		}else{

			while(list($key,$value)= each($_POST)) {

				$pos = strpos($key, "txt");
				if($pos!==false){ // est txt = string
					$keyRenombrada = str_replace("txt", "str", $key);

					$strDatosInsertValores .= "'". $value ."',"; 
				}else{
					$keyRenombrada = str_replace("int", "int", $key);

					$strDatosInsertValores .= $value .","; 
				}

				$strDatosInsertCampos .= $keyRenombrada .",";
				
		    }

		    if($strDatosInsertCampos!==""){
		    	$strDatosInsertCampos = substr($strDatosInsertCampos, 0, -1);
		    }

		    if($strDatosInsertValores!==""){
		    	$strDatosInsertValores = substr($strDatosInsertValores, 0, -1);
		    }

			$sqlQuery = "INSERT INTO ". $strTabla ." ( strIdConsulta, intEmpresa, intCliente, intUsuario, ". $strDatosInsertCampos ." ) 
			VALUES ('". $strIdConsulta ."',". $intEmpresa .",". $intCliente .",". $intUsuario .",". $strDatosInsertValores .")";

		}
		
		//exit($sqlQuery);
			
		$sJSON = "";
		$queryResult = $mysqli->query($sqlQuery);
		
		if($queryResult){
			$sJSON .= $strSeccion ." guardados con éxito";
		}else{
			$sJSON .= "Error: Error al guardar los ". strtolower($strSeccion);
		}

	}else{
		$sJSON="Error: Debe agregar todos los datos.";
	}

	print($sJSON);
}

?>